BTR-score
-
@jack-waugh I don’t believe it can be. As noted above, in certain cases with 4-cycles, the second-highest scoring candidate in the cycle will win rather than the first. I think that’s pretty rare though.
-
@cfrank So a voter could hurt his most preferred candidate by giving her the top score?
-
@jack-waugh yes in rare cases it seems possible.
-
I don't see how changing the score causes a monotonicity failure.
For a cycle A > B > C > D > A, A > C, B > D (it helps to draw a picture) there are 24 ways candidates can be ordered by score (from high to low, winner in [brackets]) :
C[A]BD B[A]CD C[A]DB B[A]DC [A]CBD [A]BCD [A]CDB [A]BDC [A]DCB [A]DBC C[B]AD [D]CAB C[B]DA [D]CBA [B]CAD [D]ACB [B]CDA [D]ABC [B]DAC [D]BCA [B]DCA [D]BAC [C]DBA [C]DAB
The first three blocks have the cases where the second highest scored candidate wins, with alternations. This shows that raising a winning candidate in score will still result in that candidate winning. Also, changing the ordering of non-winning candidates doesn't affect the outcome. As far as I have checked, changing pairwise preference between non-winners also does not change the winner. Please tell me when I am missing something.
-
A BTR monotonicity failure is pretty specific (4+ cycle dependent) and requires a plurality (first-rank) standing like so:
- Paper Sr.
- Paper Jr.
- Scissors
- Rock
The Paper candidates are both currently relying on Rock to take out Scissors early for them.
However, if some of Paper Jr. supporters switch their first-ranks to Paper Sr. (with no other changes) the first-ranks may now look like this:
- Paper Sr.
- Scissors
- Paper Jr.
- Rock
In this new ordering, Paper Jr. takes out Rock early, preventing Rock from taking out Scissors. Now Scissors wins.
This is, of course, an extremely specific scenario--and a good illustration of why focusing on absolute criteria is misleading. No one should care that something like BTR or Stable Voting are non-monotonic one-in-a-gazillion elections.
(On the other hand, competitive partisan primaries are egregiously non-monotonic all the time and no one bats an eye.)
-
@chocopi, do you know of a system that is easy to explain and sell, elects the Condorcet winner if there is one, and in which you can never hurt your favorite by rating her highest? "Hurt" means cause to go from winning to tied, from tied to losing, or from winning to losing.
-
absolute criteria
A. K. A. "constraints", at least, to engineers.
-
Sort of; engineering is famously quantitative, wrestling with the myraid and complex nuances of reality. Most engineering constraints are built on pragmatic operational assumptions, like a realistic range of environmental conditions.
Constraints compete with standard criteria when they are too broad or abstract--"there should be absolutely no radioactive material allowed on premise" without specifying a tolerable level is banning all foods containing potassium, such as bananas. A set of food safety guidelines that that obsesses about radioactivity instead of saturated fat, processed sugars, overall caloric intake, or the many other more relevant factors would be pretty useless. So would a set of dietary standards asserting one-size-fits-all solutions that do not account for one's age, body composition, physical activity, or health conditions.
In programming, we see this with algorithm analysis a lot. Much academic emphasis is placed on a complexity classes on various algorithms, such a proving that mergesort has a O(n log n) worst-case performance while quicksort suffers from O(n^2). Yet in most empirical applications a software engineer knows they can get better performance out of a quicksort; the lower memory usage significantly decreases the circumstances that would require cache misses. (Just as your procedure for sorting papers might change depending on the size of your desk or how many hands you can use; these "harder" and more relevant constraints might be overlooked if one is fixated on comparison efficiency in a theoretical vacuum.)
So that brings us back to voting.
One of the more classic "absolute" criteria is participation: "Your participation in voting (at all) must never hurt your favorite candidate(s)."
The issue is that reality fails the participation criterion.
A Condorcet cycle is a thing that could conceivably exist in reality--it's super rare, but it could. And if it does, it's a consistent truth in that reality regardless of how you count the votes--it's a property of the electorate, not the method of measuring it.
And whenever there is a Condorcet cycle, it's possible that your vote for Scissors > Rock > Paper could be the pivotal deciding vote that makes everyone realize that Paper doesn't beat Rock. If this new information you have provided reveals that Rock beats everyone, your vote implies Rock should win--even if Scissors (your favorite) was winning before.
Any method sufficiently sensitive/accurate enough to reflect the possible existence of cycles in reality will automatically fail the participation criterion. This means that all Condorcet methods fail the participation criterion and all methods that pass the participation criterion must willfully ignore the possibility of cycles.
Another similar criteria is monotonicity--does improving your vote for a candidate never possibly hurt them, and reducing it never possibly help them? This one is more complicated. Methods that eliminate candidates one-by-one are typically non-monotonic. However, eliminating candidates one-by-one grants the most resistance to strategy and full immunity to clones.
Broadly speaking, I believe the latter is more important than monotonicity, and by several orders of magnitude. This is in part because simply being non-monotonic does not automatically imply a certain frequency of non-monotonic violation. I mentioned that BTR and Stable Voting are technically non-monotonic (both eliminate candidates one-by-one after all), but the odds of either exhibiting a non-monotonic situation are nearly astronomical. (And zero unless there are 4+ competitive candidates, or if the electorate preferences are single-peaked.)
I also mentioned the partisan primary elephant-and-donkey-in-the-room. It's frankly exhausting to discuss monotonicity's relevance in rare edge cases when our existing competitive partisan primaries are outright non-monotonic around a full 33% of the time. (That's about how often some of the primary votes hurt themselves, and would be ultimately more effective if cast "backwards" for candidate(s) in the other party.)
It's like hearing people argue over which brand of premium gas to buy for their car, when they are 6000 miles overdue for an oil change.
-
BTR-Score is a most interesting method. I do appreciate this thread.
If Ranked Choice Voting is sellable, (money seems to help) then BTR-Score should be sellable.In the search for a voting method to replace RCV what claims can be made for BTR-Score?
Does BTR-Score have excellent resistance to strategy?
Does BTR-Score have excellent resistance to the Spoiler Effect.
Does BTR-Score have excellent resistant to clones. i.e., three similar candidates, L, M, and N would not be at a disadvantage to a unique candidate U? (There are no candidates similar to U.)Are there other important merits or problems for BTR-Score?
-
Are there other important merits or problems for BTR-Score?
On the merit side, it is Frohnmayer balanced and additive. I group those qualities together because I think that combined, they indicate that the voters have equal power to each other. Frohnmayer balance means that for every vote permitted by the ballot grammar, there is another permitted vote that cancels the first vote, if both are submitted in the same election. That means the electoral outcome is the same as though those two votes had not been included. Additive means that the electoral outcome can be determined by a sum of some kind over the votes or over some mathematical objects mapped from the votes. In this case, a vote can be mapped to a pair, of which the first member is a vector of scores for the candidates, and the second member is a preference matrix. Adding pairs would mean adding the score vectors and adding the preference matrices.
That's a lot of verbiage I just wrote, but the bottom line is I think this system accords the voters equal power, one voter to another, and I think that's one of the most important merits. And I link it to elimination of spoiler effects, as at least necessary, if not sufficient.
If we compare this system to plain Score, this system puts more weight on preferences. That might reassure people who want to vote honestly. However, I think that to get full benefit from this merit, it's necessary to offer at least as many possible ratings as there are candidates.
For the Score-like aspect of this system, I would like the gap from the highest to the second-highest score to be no more than 10% of the difference between the maximum and minimum scores. The proposal by the OP above would make it 20%.
Comparing this system to Approval, I think people will perceive (correctly or incorrectly) that this system is more expressive. Voting responsibly in this system is less work than voting responsibly in Approval, in my opinion.
I think the simplicity of this system relative to Ware RCV is a merit. There is no need to revisit the votes with eliminated candidates thrown out and figure who comes on top of a given vote's rankings.
I could be missing something, but I don't see any problem with clones in this system. They'd sort together and if they deserve the win, one of them would win.
The only negative thing I have heard or thought about this system is that as discussed above, in rare cases, one could hurt ones favorite candidate by up-voting her. But @ChocoPi makes the point above that this would be rare. And I suppose the outcome would still be pretty good from the viewpoint of the electorate as a whole, even in those rare cases where some ideal gets violated.
This system conducts a round robin where the last comparison involves the Score winner. One possible outcome is that the Score winner wins the election. That's a pretty good outcome. If someone else wins, it's because there is a series of majority-rule arguments according to which that person is preferred to the Score winner.
I echo your call for anyone with a serious objection to this system to bring it.
Can anyone think of a design for simulation studies to cast light on a comparison of this system to another that is also as simple to explain?
-
BTR with a cardinal ballot is the functionally the same as BTR with a ranked ballot so long as you have enough score options to distinguish all candidates. It will only resolve differently in cases where you both have a cycle and the ordering of iterated scores is different than iterated top-ranks, which is extremely specific.
And BTR is, pretty good. It's natural results are identical to Smith//Plurality outside of a 4+ cycle. This means the strategy resistance is the same as Smith//Plurality with 3 competitive candidates, and similar-but-slightly-better with 4+. It's functionally cloneproof and effectively monotonic.
I would categorize BTR as a hybrid method, and it continues a pattern of virtually all serious hybrid methods holistically outperforming all non-hybrid methods. Hybrid vigor truly is the law of the jungle.
-
-
BTW, my sims include "STAR3", which is literally BTR via Score among just the top 3 candidates.
You can see it's extremely similar in batch simulated results to BTR and Condorcet//Plurality or Smith//Plurality.Your simulator is amazing and useful.
I am looking for the best voting methods for single-winner and proportional elections.
I am starting an advocacy organization, Voters Take Charge, to sell those methods.
The ideal method would combine performance with ease of explanation.
The methods need to be good because the people selling RCV have more money than me and the defenders of the status quo have near infinite resources.Performance criteria:
Fairness! As determined by the voting public and the members of this forum.
Resist strategy, both organized strategy and strategy by individual voters.
No spoiler effect / favorite betrayal.
Able to deal with clones and irrelevant alternatives.
Rarely screw up in elections with over 1,000 voters.Below is a list of single-winner systems, from the easiest to the most difficult to explain.
Score - Explain Score voting. Easy, but I am concerned about strategy resistance.
STAR - Explain Score voting and a two-way pairwise runoff. Pretty easy for a hybrid system.
BTR / Score - Explain Score and a series of pairwise runoffs between the bottom 2 candidates. Not too bad.
IRV - Explain counting in rounds with the transfer of “2nd choice votes”. Not easy, but only one process.
Condorcet / Hare - Explain a round robin pairwise tournament and counting in rounds with the transfer of ‘’2nd choice votes”. It helps that some people know about round robin and RCV.
STAR 3 - Explain Score voting with normalization and a three-way pairwise runoff. A lot of work.Two Questions:
Which of the above has the best combination of performance and ease of explanation?
Are there other single-winner system I should consider? -
BTW, my sims include "STAR3", which is literally BTR via Score among just the top 3 candidates.
I found a fairly easy to explain voting method on your sims list, Smith-Plurality. Just need to describe a round robin, pairwise tournament. I ran a few sims, Smith-Plurality seems to hold it's own. It must be the simplest Condorcet tie breaker. I am surprised this is not popular, is there something wrong that I am missing?
Smith-Score would be ok but re-normalization would need to be explained. Not too bad, is there another word for re-normalization? It sound like something out of 1984.
Concerning Strategy Present, filtered and unfiltered; do these include organized and/or individual voter strategies?
-
@casimir you indicated that the second-highest score winner in the cycle will be elected in a 4-cycle. This means that lowering the score of a candidate can cause them to win in such a case, which practically speaking is a very rare case.
I’m only speaking in terms of the strict criterion, I also don’t care if a method is super rarely non-monotonic. But I didn’t think that was @Jack-Waugh’s question.
-
This post is deleted! -
I think you have the wrong guy. Insofar as I spoke about monotonicity, I was making the opposite argument.
If a court wishes to "ban non-monotonic voting methods", they would first have to declare all partisan primaries illegal.
-
@chocopi Sorry, it was @Lime https://www.votingtheory.org/forum/post/3716
-
In this new ordering, Paper Jr. takes out Rock early, preventing Rock from taking out Scissors. Now Scissors wins.
This is, of course, an extremely specific scenario--and a good illustration of why focusing on absolute criteria is misleading. No one should care that something like BTR or Stable Voting are non-monotonic one-in-a-gazillion elections.
Thank you. I missed that case. In the list I provided this corresponds to [B]CAD turning to B[A]CD.
Smith-Score would be ok but re-normalization would need to be explained.
There might be a misunderstanding. The normalization of ballots is an assumptions of voter behavior, not part of the method. Smith//plurality misses that paragraph because it uses a ranked ballot instead of rated like Smith//score.
@casimir you indicated that the second-highest score winner in the cycle will be elected in a 4-cycle. This means that lowering the score of a candidate can cause them to win in such a case, which practically speaking is a very rare case.
Take a look at the list I provided. It has some cases where the second highest candidate wins, but no case where lowering the score of a candidate causes them to win instead of someone else. Likewise, raising someones score won't cause them to loose. The case that @chocopi pointed out is one where changing the order of the other candidates causes someone to loose. It's weird, but it's no reason to not give your favorite candidate full support (except for the favorite betrayal case, which comes with being a Condorcet method).
Because I'm from Germany, monotonicity is somewhat relevant, but it's not that all non-monotonic methods are banned.
-
@casimir what I mean is that, in the realm of score perturbations that keep a given 4-cycle in tact, the ultimate goal would be to have given your favorite candidate a score such that they receive the second-highest sum of scores, not the first-highest. Does that make sense?
Again, it’s a weird, seemingly irrelevant edge case. But as you mention, it might not be irrelevant in situations where there are strict laws about monotonicity.
For the record, I really like BTR. It’s one of my favorite methods. It’s highly efficient to say the least. And your claims about how well it conforms to monotonicity make me like it even more, since my main concern about it from the beginning has been monotonicity.
I consider it a “cardinal-Condorcet” method, which I rate a 9 out of 10. It can be made even more monotonically robust by extending from “eliminate the bottom 2 Condorcet loser” to “eliminate the bottom N Condorcet loser” for N>2.
I’m not sure if N=K (the number of candidates) succeeds in full monotonicity, but I wager it does.